Skip to main content
GET
/
api
/
2.0
/
clinical_documents
/
{id}
Retrieve Clinical Document
curl --request GET \
  --url https://sandbox.elationemr.com/api/2.0/clinical_documents/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "authoring_practice": 123,
  "patient": 123,
  "xml_file": {
    "base64_content": "<string>",
    "content_type": "<string>",
    "document": "<string>",
    "external_content": "<unknown>",
    "id": 123,
    "original_filename": "<string>"
  },
  "allergies_imported": true,
  "author_name": "<string>",
  "created_date": "2023-11-07T05:31:56Z",
  "deleted_date": "2023-11-07T05:31:56Z",
  "demographics_imported": true,
  "encounters_imported": true,
  "id": 123,
  "immunizations_imported": true,
  "labs_imported": true,
  "medications_imported": true,
  "problems_imported": true,
  "procedures_imported": true,
  "vitals_imported": true
}

Documentation Index

Fetch the complete documentation index at: https://help.elationhealth.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

id
integer<int64>
required

Response

200 - application/json
authoring_practice
integer<int64>
required
patient
integer<int64>
required
xml_file
object
required

The xml file to be used as clinical document.

allergies_imported
boolean
author_name
string | null
Maximum string length: 100
created_date
string<date-time> | null
read-only
data_format
enum<string>

The format of the clinical document data.

Available options:
ccda,
ccr,
qrda_1
deleted_date
string<date-time> | null
read-only
demographics_imported
boolean
encounters_imported
boolean
id
integer
read-only
immunizations_imported
boolean
labs_imported
boolean
medications_imported
boolean
problems_imported
boolean
procedures_imported
boolean
vitals_imported
boolean